FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009161309.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009161309.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b1554c0 OS_GIT_VERSION=4.4.0-202009161309.p0-b1554c0 SOURCE_DATE_EPOCH=1592598229 SOURCE_GIT_COMMIT=b1554c0714123dec050dd0df07b9a2064f088a87 SOURCE_GIT_TAG=v0.2.0-580-gb1554c07 SOURCE_GIT_URL=https://github.com/openshift/machine-api-operator 
WORKDIR /go/src/github.com/openshift/machine-api-operator
COPY . .
RUN NO_DOCKER=1 make build

FROM openshift/ose-base:v4.4.0.20200916.134502
ENV __doozer=update BUILD_RELEASE=202009161309.p0 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202009161309.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=b1554c0 OS_GIT_VERSION=4.4.0-202009161309.p0-b1554c0 SOURCE_DATE_EPOCH=1592598229 SOURCE_GIT_COMMIT=b1554c0714123dec050dd0df07b9a2064f088a87 SOURCE_GIT_TAG=v0.2.0-580-gb1554c07 SOURCE_GIT_URL=https://github.com/openshift/machine-api-operator 
COPY --from=builder /go/src/github.com/openshift/machine-api-operator/install manifests
COPY --from=builder /go/src/github.com/openshift/machine-api-operator/bin/machine-api-operator .
COPY --from=builder /go/src/github.com/openshift/machine-api-operator/bin/nodelink-controller .
COPY --from=builder /go/src/github.com/openshift/machine-api-operator/bin/machine-healthcheck .

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-machine-api-operator" \
        com.redhat.component="ose-machine-api-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        release="202009161309.p0" \
        io.openshift.build.commit.id="b1554c0714123dec050dd0df07b9a2064f088a87" \
        io.openshift.build.source-location="https://github.com/openshift/machine-api-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/machine-api-operator/commit/b1554c0714123dec050dd0df07b9a2064f088a87" \
        version="v4.4.0"

